public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/cadvisor/
Date: Tue, 27 Aug 2019 11:35:59 +0000 (UTC)	[thread overview]
Message-ID: <1566905746.0bbdb8435f3b8c27cbbe8c920bbb8aca40ef7c4c.mrueg@gentoo> (raw)

commit:     0bbdb8435f3b8c27cbbe8c920bbb8aca40ef7c4c
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 27 11:35:08 2019 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Tue Aug 27 11:35:46 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0bbdb843

app-emulation/cadvisor: Version bump to 0.34.0

Package-Manager: Portage-2.3.72, Repoman-2.3.16
Signed-off-by: Manuel Rüger <mrueg <AT> gentoo.org>

 app-emulation/cadvisor/Manifest               |  1 +
 app-emulation/cadvisor/cadvisor-0.34.0.ebuild | 43 +++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/app-emulation/cadvisor/Manifest b/app-emulation/cadvisor/Manifest
index af2125fdb82..06d9c85c8ed 100644
--- a/app-emulation/cadvisor/Manifest
+++ b/app-emulation/cadvisor/Manifest
@@ -1,2 +1,3 @@
 DIST cadvisor-0.33.0.tar.gz 4646920 BLAKE2B ce0e264321efcfbbf422f086cd15dfde389a099d183cbc2daaefb5aa6aa36da0c6e213dc4c12a000b9049ce2a1444addee93746f5650a56fa0f7c6612aa25bd9 SHA512 3d1dd1b9dc684e71bca9dc64949911f5f3ae72c97aa3b6cd45dd51a404fc101b5591ec8c19c469d6a410de3cf46c3d8c104d34e5dd1fdc85c18c2d1b6a45b2af
 DIST cadvisor-0.33.1.tar.gz 4646909 BLAKE2B 1ba30d559c018bf11297ded8adcc77a8761f77a1a39d75fb6e704ab84b3118d14587c91fd638da59bc9a46969b0545bdcf55e482390adeef6a4841fd6a57988c SHA512 659b8c48f74ef34044c7b3d9a41d42338c9c90fa443bdf7766001ae570aab8ed61efa948d1d01c324b6f03a0d1bf3d3fb1483d40bfc3b7e67f768253e3638de5
+DIST cadvisor-0.34.0.tar.gz 5210189 BLAKE2B 48cf7ddc94e52f07a0e74868d00f4a45d45aa5233b518da46762743357c17cbe7f2971794deda9936a10c65724928a219c498bf6d2493266f5b0ea547d485cb6 SHA512 accb41afd4683413b846f9380229bfa54c88b3141be68492963444928e40e14fc28da3ce27b09746e29c4dfe6323cd6bea69181826367e830f284d6ab698c633

diff --git a/app-emulation/cadvisor/cadvisor-0.34.0.ebuild b/app-emulation/cadvisor/cadvisor-0.34.0.ebuild
new file mode 100644
index 00000000000..26280e2293a
--- /dev/null
+++ b/app-emulation/cadvisor/cadvisor-0.34.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+EGO_PN="github.com/google/cadvisor"
+
+inherit user golang-build golang-vcs-snapshot
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+COMMIT="24a6a52"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Analyzes resource usage and performance characteristics of running containers"
+HOMEPAGE="https://github.com/google/cadvisor"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+pkg_setup() {
+	enewgroup ${PN}
+	enewuser ${PN} -1 -1 /dev/null ${PN}
+}
+
+src_prepare() {
+	sed -i -e "/go get/d" src/${EGO_PN}/build/assets.sh || die
+	sed -i -e "s/git describe.*/echo ${PV} )/"\
+		-e "s/git rev-parse --short HEAD.*/echo ${COMMIT} )/"\
+		src/${EGO_PN}/build/build.sh || die
+	default
+}
+
+src_compile() {
+	pushd "src/${EGO_PN}"
+	GO_FLAGS="-v -work -x" VERBOSE="true" GOPATH="${S}:$(get_golibdir_gopath)" emake build
+	popd || die
+}
+
+src_install() {
+	newinitd "${FILESDIR}"/${PN}.initd-r1 ${PN}
+	dobin src/${EGO_PN}/${PN}
+	keepdir /var/log/${PN}
+	fowners ${PN}:${PN} /var/log/${PN}
+}


             reply	other threads:[~2019-08-27 11:36 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-08-27 11:35 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-03-30 15:09 [gentoo-commits] repo/gentoo:master commit in: app-emulation/cadvisor/ William Hubbs
2020-03-13 21:35 William Hubbs
2020-02-22 22:40 William Hubbs
2019-12-10  4:50 Zac Medico
2019-12-04  3:23 William Hubbs
2019-12-03  9:48 Michał Górny
2019-11-23 10:41 Manuel Rüger
2019-11-23 10:41 Manuel Rüger
2019-04-08 14:25 Manuel Rüger
2019-04-03 13:49 Manuel Rüger
2019-02-28 11:21 Manuel Rüger
2018-12-16 13:11 Manuel Rüger
2018-12-11  8:07 Manuel Rüger
2018-09-13 12:59 Manuel Rüger
2018-07-30 12:46 Manuel Rüger
2018-02-27 22:11 Manuel Rüger
2018-01-25 18:51 Manuel Rüger
2018-01-25 18:51 Manuel Rüger
2017-12-10 23:20 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1566905746.0bbdb8435f3b8c27cbbe8c920bbb8aca40ef7c4c.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox